Bug 7939 - Separate po files for different MARC dialects
Summary: Separate po files for different MARC dialects
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: I18N/L10N (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Bernardo Gonzalez Kriegel
QA Contact: Jonathan Druart
URL:
Whiteboard:
Keywords:
Depends on: 12061
Blocks: 13897
  Show dependency treegraph
 
Reported: 2012-04-10 12:23 UTC by Magnus Enger
Modified: 2015-12-03 22:11 UTC (History)
8 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Medium patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 7939 - Separate po files for different MARC dialects (10.71 KB, patch)
2014-03-24 09:42 UTC, Bernardo Gonzalez Kriegel
Details | Diff | Splinter Review
Bug 7939 - Separate po files for different MARC dialects (13.47 KB, patch)
2014-03-25 01:56 UTC, Bernardo Gonzalez Kriegel
Details | Diff | Splinter Review
Bug 7939 - Separate po files for different MARC dialects (16.34 KB, patch)
2014-03-26 14:43 UTC, Bernardo Gonzalez Kriegel
Details | Diff | Splinter Review
Bug 7939 - Separate po files for different MARC dialects (10.60 KB, patch)
2014-04-10 13:06 UTC, Bernardo Gonzalez Kriegel
Details | Diff | Splinter Review
Bug 7939 - Separate po files for different MARC dialects (11.41 KB, patch)
2014-05-24 16:00 UTC, Bernardo Gonzalez Kriegel
Details | Diff | Splinter Review
Bug 7939 - Separate po files for different MARC dialects (11.03 KB, patch)
2015-02-27 23:20 UTC, Bernardo Gonzalez Kriegel
Details | Diff | Splinter Review
Bug 7939 - Separate po files for different MARC dialects (11.57 KB, patch)
2015-03-03 10:24 UTC, Magnus Enger
Details | Diff | Splinter Review
Bug 7939 - Separate po files for different MARC dialects (11.63 KB, patch)
2015-04-23 13:49 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Magnus Enger 2012-04-10 12:23:58 UTC
As suggested here: 
http://lists.koha-community.org/pipermail/koha-translate/2011-September/001654.html
I think it would be a good idea to have separate po files for MARC21, UNIMARC and NORMARC (value builders and XSLT). 

See also Bug 7934.
Comment 1 Viktor Sarge 2012-08-29 17:36:08 UTC
Sounds good - having large bulky .po-files makes it hard to prioritze during translation.
Comment 2 Bernardo Gonzalez Kriegel 2014-03-24 09:42:18 UTC Comment hidden (obsolete)
Comment 3 Bernardo Gonzalez Kriegel 2014-03-24 09:44:11 UTC
(In reply to Magnus Enger from comment #0)
> I think it would be a good idea to have separate po files for MARC21,
> UNIMARC and NORMARC (value builders and XSLT). 
> 
> See also Bug 7934.

Hi Magnus, do you want to try?
Comment 4 Bernardo Gonzalez Kriegel 2014-03-25 01:56:53 UTC Comment hidden (obsolete)
Comment 5 Bernardo Gonzalez Kriegel 2014-03-25 02:05:45 UTC
On point 7.a), an error, must be
sort old | uniq | tee s-old | wc -l > n-old
Comment 6 Bernardo Gonzalez Kriegel 2014-03-26 14:43:16 UTC Comment hidden (obsolete)
Comment 7 Bernardo Gonzalez Kriegel 2014-04-10 13:06:23 UTC Comment hidden (obsolete)
Comment 8 Bernardo Gonzalez Kriegel 2014-05-24 16:00:27 UTC Comment hidden (obsolete)
Comment 9 Chris Cormack 2014-12-28 07:26:15 UTC
Hi Bernardo, this needs a rework as prog has been removed from the OPAC now
Comment 10 Bernardo Gonzalez Kriegel 2015-02-27 23:20:31 UTC Comment hidden (obsolete)
Comment 11 Magnus Enger 2015-03-03 10:24:29 UTC Comment hidden (obsolete)
Comment 12 Jonathan Druart 2015-04-17 11:37:31 UTC
Bernardo,
All looks good but I would like to know what is the plan when it will be pushed into master.
Because update/install won't work until the po file is not recreated.
Do you plan a big commit?

I am wondering if the good idea wouldn't be to wait for the "git repo cleanup" you are doing (have done?) with Chris (see http://lists.koha-community.org/pipermail/koha-devel/2015-March/041293.html).
It will avoid the creation and deletion of the same files in a short time.
Comment 13 Jonathan Druart 2015-04-17 11:49:17 UTC
Note that this patch removes the version number in the filename

Introduced by:

commit 814795da60318c70059fc1dfbe7be4da37109db0
Author: Frédéric Demians <f.demians@tamil.fr>
Date:   Sun Dec 19 10:57:51 2010 +0100
    Bug 5506 Improve translation script

And updated only once:

commit 69333c9f79bf2cb8ac4e58f46da714dca962a8ee
Author: Chris Cormack <chrisc@catalyst.net.nz>
Date:   Sat Oct 22 05:33:40 2011 +1300
    Moving po files to 3.6.0 filenames

What was the idea behind that?
Comment 14 Katrin Fischer 2015-04-19 21:23:47 UTC
I think in the past all the po files used to have the version number of the version they were applying to - but it was more trouble than useful to keep changing the file names. Currently the staff po file is the only file that still has a (wrong) version number. I am in favor of the change! :)
Comment 15 Katrin Fischer 2015-04-19 21:24:54 UTC
Bernardo, can you please take a look? Tomas has set us a tight deadline!
Comment 16 Bernardo Gonzalez Kriegel 2015-04-20 23:01:38 UTC
(In reply to Jonathan Druart from comment #12)
> Bernardo,
> All looks good but I would like to know what is the plan when it will be
> pushed into master.
> Because update/install won't work until the po file is not recreated.
> Do you plan a big commit?

Jonathan, if/when this bug is pushed i'll provide our RM with a patch to update/rename all po files. I've done something similar before, on every major release and to fix errors in translation files.

But yes, until 'that' patch is pushed, translate will be problematic.
But we can warn the RM to push this and the other together.

> 
> I am wondering if the good idea wouldn't be to wait for the "git repo
> cleanup" you are doing (have done?) with Chris (see
> http://lists.koha-community.org/pipermail/koha-devel/2015-March/041293.html).
> It will avoid the creation and deletion of the same files in a short time.

We haven't agreed on a timeline yet, but in any case i'll be after 3.20

(In reply to Jonathan Druart from comment #13)
> Note that this patch removes the version number in the filename
> ...
> What was the idea behind that?

As Katrin said, it's a relic from the past, not updated in a long long time.
It's a change with no practical justification, only a aesthetic one.
I prefer not to have a wrong number.
Comment 17 Jonathan Druart 2015-04-23 13:49:58 UTC
Created attachment 38423 [details] [review]
Bug 7939 - Separate po files for different MARC dialects
Comment 18 Jonathan Druart 2015-04-23 13:50:34 UTC
All looks good, great work Bernardo!
Comment 19 Tomás Cohen Arazi 2015-04-30 19:42:26 UTC
Patches pushed to master.

Thanks Bernardo!